# vkCmdSetPerformanceMarkerINTEL(3) Manual Page

## Name

vkCmdSetPerformanceMarkerINTEL - Markers

## C Specification

To help associate query results with a particular point at which an application emitted commands, markers can be set into the command buffers with the call:

    VkResult vkCmdSetPerformanceMarkerINTEL(
        VkCommandBuffer                             commandBuffer,
        const VkPerformanceMarkerInfoINTEL*         pMarkerInfo);

## Parameters

The last marker set onto a command buffer before the end of a query will be part of the query result.

## Description

Valid Usage (Implicit)

- `commandBuffer` must be a valid VkCommandBuffer handle

- `pMarkerInfo` must be a valid pointer to a valid VkPerformanceMarkerInfoINTEL structure

- `commandBuffer` must be in the recording state

- The `VkCommandPool` that `commandBuffer` was allocated from must support graphics, compute, or transfer operations

Host Synchronization

- Host access to the `VkCommandPool` that `commandBuffer` was allocated from must be externally synchronized

Command Properties

Command Buffer Levels | Render Pass Scope | Supported Queue Types | Pipeline Type
--- | --- | --- | ---
Primary Secondary | Both | Graphics Compute Transfer |

Return Codes

On success, this command returns

  - `VK_SUCCESS`

On failure, this command returns

  - `VK_ERROR_TOO_MANY_OBJECTS`

  - `VK_ERROR_OUT_OF_HOST_MEMORY`

## See Also

VkCommandBuffer, VkPerformanceMarkerInfoINTEL

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.